3oct/110

ERROR 1577 (HY000) at line 1: Cannot proceed because system tables used by Event Scheduler were found damaged at server start

mysql

Nous continuons dans la série des erreurs MySQL consécutive à une migration de serveur.

Cette erreur m'est apparue lors de la même migration que l'article précédent, sous debian squeeze la version 5.1 de MySQL s'installe par défaut même si vous demandez la version 5.0, donc sur le coup je n'avais pas fait attention. Cette erreur n'est en fait simplement causé par la migration de la version 5.0 vers la 5.1 même si l'import a été fait via un import masse de fichiers sql en shell.

Voilà comment résoudre le problème :

mysql_upgrade -u root -h localhost -p --verbose --force

ou tout autre utilisateur qui a tous les privilèges (remplacer root par l'utilisateur)

Il ne reste plus qu'à redémarrer MySQL

/etc/init.d/mysql restart

Et l'erreur n'apparaît plus :-)

Taggé comme: , ,

Faites un lien vers cette news sur votre site

Commentaires (0)

Aucun commentaire pour l'instant


Laisser un commentaire